> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Config Param

> Get config by id.



## OpenAPI

````yaml get /getConfigParam
openapi: 3.1.0
info:
  title: TON HTTP API
  description: >

    This API enables HTTP access to TON blockchain - getting accounts and
    wallets information, looking up blocks and transactions, sending messages to
    the blockchain, calling get methods of smart contracts, and more.


    In addition to REST API, all methods are available through [JSON-RPC
    endpoint](#json%20rpc)  with `method` equal to method name and `params`
    passed as a dictionary.


    The response contains a JSON object, which always has a boolean field `ok`
    and either `error` or `result`. If `ok` equals true, the request was
    successful and the result of the query can be found in the `result` field.
    In case of an unsuccessful request, `ok` equals false and the error is
    explained in the `error`.


    API Key should be sent either as `api_key` query parameter or `X-API-Key`
    header.
  version: 2.0.0
servers:
  - url: https://toncenter.com/api/v2
  - url: https://testnet.toncenter.com/api/v2
security: []
tags:
  - name: accounts
    description: Information about accounts.
  - name: blocks
    description: Information about blocks.
  - name: transactions
    description: Fetching and locating transactions.
  - name: get config
    description: Get blockchain config
  - name: run method
    description: Run get method of smart contract.
  - name: send
    description: Send data to blockchain.
  - name: json rpc
    description: JSON-RPC endpoint.
paths:
  /getConfigParam:
    get:
      tags:
        - get config
      summary: Get Config Param
      description: Get config by id.
      operationId: get_config_param_getConfigParam_get
      parameters:
        - description: Config id
          required: true
          schema:
            type: integer
            title: Config Id
            description: Config id
          name: config_id
          in: query
        - description: >-
            Masterchain seqno. If not specified, latest blockchain state will be
            used.
          required: false
          schema:
            type: integer
            title: Seqno
            description: >-
              Masterchain seqno. If not specified, latest blockchain state will
              be used.
          name: seqno
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConfigParamResponse'
              examples:
                sample1:
                  summary: Config param example 1
                  value:
                    ok: true
                    result:
                      '@type': configInfo
                      config:
                        '@type': tvm.cell
                        bytes: >-
                          te6cckEBAQEAIgAAQFVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV+A4W5w==
                      '@extra': 1755815155.2328486:7:0.49669713612622723
                sample2:
                  summary: Config param example 2
                  value:
                    ok: true
                    result:
                      '@type': configInfo
                      config:
                        '@type': tvm.cell
                        bytes: >-
                          te6cckEBAQEAHgAAN3ARDZMW7AAHI4byb8EAAIAQp0GkYngAAAAwAAhFxfKI
                      '@extra': 1755815171.7872128:2:0.12302096281892438
        '422':
          description: Validation Error
        '504':
          description: Lite Server Timeout
      security: []
components:
  schemas:
    GetConfigParamResponse:
      allOf:
        - $ref: '#/components/schemas/TonResponse'
        - type: object
          properties:
            result:
              $ref: '#/components/schemas/ConfigInfo'
              description: >-
                Configuration parameter for the requested id (at optional
                seqno).
    TonResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        result:
          anyOf:
            - type: string
            - items: {}
              type: array
            - type: object
          title: Result
        error:
          type: string
          title: Error
        code:
          type: integer
          title: Code
      type: object
      required:
        - ok
      title: TonResponse
    ConfigInfo:
      type: object
      description: Configuration parameter payload.
      properties:
        '@type':
          type: string
          example: configInfo
        config:
          $ref: '#/components/schemas/TvmCell'
          description: TVM cell with the parameter contents.
        '@extra':
          type: string
          description: Extra metadata for the response.
      required:
        - config
    TvmCell:
      type: object
      description: Raw TVM cell serialized as base64 bytes.
      properties:
        '@type':
          type: string
          example: tvm.cell
        bytes:
          type: string
          description: Base64-encoded BOC bytes.
      required:
        - bytes

````